Skip to main content
Get Positions
curl --request GET \
  --url https://synthesis.trade/api/v1/wallet/sol/{wallet_id}/positions \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "response": [
    {
      "position": {
        "token_id": "BRjpCHtyQLeSRWyE1yTdBQbhLkny5oEnveRijBjRoiA",
        "outcome": "Yes",
        "shares": "80.000",
        "avg_price": "0.540",
        "current_price": "0.580",
        "initial_value": "43.200",
        "current_value": "46.400",
        "amount_pnl": "3.200",
        "percent_pnl": "7.41",
        "redeemable": false,
        "created_at": "2026-01-01T00:00:00"
      },
      "event": {
        "series_id": "KXBTC",
        "event_id": "KXBTC-25",
        "title": "Bitcoin above $100,000 on Dec 31?",
        "sub_title": "Expires at year end",
        "slug": "bitcoin-above-100000-on-dec-31",
        "image": "https://example.com/kalshi-bitcoin.png",
        "tags": [
          "crypto",
          "bitcoin"
        ],
        "labels": [
          "crypto",
          "macro"
        ],
        "category": "Crypto",
        "active": true,
        "liquidity": "800000",
        "volume": "3000000",
        "live": {
          "is_active": true
        },
        "created_at": "2026-01-01T00:00:00",
        "updated_at": "2026-01-01T00:00:00",
        "ends_at": "2026-12-31T23:59:59"
      },
      "market": {
        "series_id": "KXBTC",
        "event_id": "KXBTC-25",
        "market_id": "KXBTC-25-T100000",
        "kalshi_id": "T100000",
        "title": "Bitcoin above $100,000?",
        "outcome": "Yes",
        "description": "Resolves Yes if Bitcoin settles above $100,000 on expiration.",
        "image": "https://example.com/kalshi-bitcoin-market.png",
        "left_outcome": "Yes",
        "right_outcome": "No",
        "left_price": "0.58",
        "right_price": "0.42",
        "left_token_id": "BRjpCHtyQLeSRWyE1yTdBQbhLkny5oEnveRijBjRoiA",
        "right_token_id": "F4r2GpoNU8MBMdKqP6MCBzKEHe2Mt8s5qm4GrFcJQnbJ",
        "winner_token_id": "",
        "active": true,
        "resolved": false,
        "claimable": false,
        "liquidity": "800000",
        "open_interest": "1200000",
        "volume": "3000000",
        "volume24hr": "175000",
        "dflow": {
          "enabled": true
        },
        "jupiter": true,
        "created_at": "2026-01-01T00:00:00",
        "updated_at": "2026-01-01T00:00:00",
        "ends_at": "2026-12-31T23:59:59"
      }
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Response

200 - application/json

Solana positions